Bull Atos Technologies

AIX Open Source Archives

2019-12-02

pcre 8.43-1

AIX 6.1 +

Perl-compatible regular expression library. PCRE has its own native API, but a set of "wrapper" functions that are based on the POSIX API are also supplied in the library libpcreposix.
Note that this just provides a POSIX calling interface to PCRE: the regular expressions themselves still follow Perl syntax and semantics.
The header file for the POSIX-style functions is called pcreposix.h.
Website: http://www.pcre.org/

Download

This package has been downloaded 13 times (0 bin / 13 zip)
Please read the How To Use page before downloading.
RPM file Source file

Providing

This package provides :
 - libpcre.a(libpcre.so.0)
 - libpcre.a(libpcre.so.1)
 - libpcre16.a(libpcre16.so.0)
 - libpcre32.a(libpcre32.so.0)
 - libpcrecpp.a(libpcrecpp.so.0)
 - libpcreposix.a(libpcreposix.so.0)
 - pcre = 8.43-1

Requires (details)

This package requires :
 - bzip2 >= 1.0.2
 - libbz2.a(libbz2.so.1)
 - libc.a(shr.o)
 - libc.a(shr_64.o)
 - libgcc_s.a(shr.o)
 - libpcre.a(libpcre.so.1)
 - libpcre16.a(libpcre16.so.0)
 - libpcre32.a(libpcre32.so.0)
 - libpcreposix.a(libpcreposix.so.0)
 - libpthreads.a(shr_xpg5.o)
 - libpthreads.a(shr_xpg5_64.o)
 - libreadline.a(libreadline.so.7)
 - libstdc++.a(libstdc++.so.6)
 - libz.a(libz.so.1)
 - readline >= 5.2
 - rpmlib(CompressedFileNames) <= 3.0.4-1
 - rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 - zlib >= 1.2.3